import { requestClient } from '#/api/request';

export interface LogsRecord {
  moduleType?: string;
  functionType?: string;
  publishTimeBegin?: string;
  publishTimeEnd?: string;
  current: number;
  size: number;
}

// 日志分页查询
export function queryLogList(data: LogsRecord) {
  return requestClient.get('/rest/log', { params: data });
}

// 日志详情
export function queryLogDetail(id: number) {
  return requestClient.get(`/rest/log/${id}`);
}

// 日志批量删除
export function deleteLogs(ids: number[]) {
  return requestClient.delete(`/rest/log/batch`, {
    data: ids,
  });
}
